Test Access Token And Proxy

Test Access Token And Proxy
Testing access token and proxy (if any).

Testing access token and proxy (if any).

Request
URI
PUT
https://umip/api/v1/test_proxy
COPY
Request Body

Testing cloud connectivity with a given access token (from the VCF Business Services Console) and proxy configuration (if applicable). This is the second step in initialization wizard flow step after accepting data usage.

TestProxyAndAccessTokenRequest of type(s) application/json
Required

Show optional properties

{
    "type": "string",
    "accessToken": "string"
}
{
    "type": "string",
    "accessToken": "string",
    "host": "string",
    "port": 0,
    "user": "string",
    "password": "string"
}
string
type
Required

Type of the proxy. Select none for direct communication with the cloud.

Possible values are : none, http, https,
string
accessToken
Required

Access Token from the current agent registration process from VCF Business Services console.

string
host
Optional

Proxy's host.

integer
port
Optional

Proxy's port.

string
user
Optional

Proxy's username if authentication is required.

string
password
Optional

Proxy's password if authentication is required.

Authentication
This operation uses the following authentication methods.
Responses
202

Response from testing the access token using proxy details.

Returns TestAccessTokenAndProxyResponse of type(s) application/json
{
    "test_result": false,
    "message": "string",
    "error_code": "string"
}
boolean
test_result
Optional

Whether or not connection to cloud was successful with the provided access token and proxy details (if any).

string
message
Optional

Optional message to the result

string
error_code
Optional

HTTP error status code from testing the cloud connection with the provided access token and proxy details (if any).


400

Generic Bad Request error response.

Returns 400ErrorResponse of type(s) application/json
{
    "messages": [
        {
            "key": "string",
            "message": "string"
        }
    ]
}
array of object
messages
Optional

Collection of error messages.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"type":"string","accessToken":"string"}' https://{api_host}/api/v1/test_proxy